Rensei docs
API ReferenceWorkflows

Manually trigger a published workflow.

Manually trigger a published workflow. - Rensei REST API operation reference.

POST
/api/workflows/{id}/trigger

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Path Parameters

id*string

Workflow id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/workflows/string/trigger" \  -H "Content-Type: application/json" \  -d '{}'
{
  "instanceId": "string",
  "workflowId": "string",
  "status": "string",
  "sessionId": "string",
  "metaId": "string"
}
Empty
Empty
Empty
Empty
{
  "error": "string",
  "code": "string",
  "details": {
    "errors": [
      {
        "path": "string",
        "message": "string"
      }
    ]
  }
}
Empty